; SpeedText - Sample 2
; Rendering To Buffers

Include "include/SpeedText.bb"

Graphics3D 800, 600, 0, 2
ST_Initialize( BackBuffer( ) )

Local font = LoadFont( "media/bolton sans.ttf", 22 )
SetFont font

Local cam = CreateCamera( )
	CameraClsColor cam, 30, 35, 35
	PositionEntity cam, 0, 0, -3

Local light = CreateLight( )
	LightColor light, 50, 50, 50

Local cube = CreateCube( )

Local tex = CreateTexture( 256, 256 )
	EntityTexture cube, tex
	
	SetBuffer TextureBuffer( tex )
		ClsColor 30, 60, 100 : Cls
	SetBuffer BackBuffer( )
	
	ST_SetBuffer TextureBuffer( tex )
		Text 10, 10, "This text was rendered"
		Text 10, 40, "directly to the"
		Text 10, 70, "texture's buffer."
		
		Text 10, 120, "Thank you,"
		Text 10, 150, "SpeedText!"		
	ST_SetBuffer BackBuffer( )
	
While Not KeyDown( 1 )
	TurnEntity cube, 1, 1, 1

	RenderWorld
	Flip
Wend

End