; SpeedText - Sample 1
; Text Alignment And Formatting

Include "include/SpeedText.bb"

Graphics3D 800, 600, 0, 2
ST_Initialize( BackBuffer( ) )

Local font = LoadFont( "Tahoma", 16 )
SetFont font

While Not KeyDown( 1 )
	Cls
	
	Color 100, 100, 100
	
	Line 400, 0, 400, 280
	For I=0 To 6
		Line 0, I*40+40, 800, I*40+40
	Next
	
	Text 400, 40, "Align Left-Top ( Standard )"
	Text 400, 80, "Align Right-Top", ST_RIGHT
	Text 400, 120, "Align Left-Middle", ST_LEFT, ST_MIDDLE
	Text 400, 160, "Align Right-Middle", ST_RIGHT, ST_MIDDLE
	Text 400, 200, "Align Left-Bottom", ST_LEFT, ST_BOTTOM
	Text 400, 240, "Align Right-Bottom", ST_RIGHT, ST_BOTTOM
	
	Rect 30, 310, 200, 200, 0
	TextRect 30, 310, 200, 200, "This text appears in a rectangle and the words are wrapped, so you can read the whole text. This feature can be very useful for textboxes.", ST_LEFT, ST_WORDWRAP
	
	Rect 300, 310, 200, 200, 0
	TextRect 300, 310, 200, 200, "This text also appears in a rectangle, but this time the words are centered.", ST_CENTER, ST_WORDWRAP
	
	Rect 570, 310, 200, 200, 0
	TextRect 570, 310, 200, 200, "The words in this rectangle are clipped.", ST_LEFT, ST_CLIPRECT
	
	Flip 0
Wend